Summary:	Python interface to OpenSSL
Summary(pl.UTF-8):	Interfejs Pythona do OpenSSL
Name:		python-M2Crypto
Version:	0.22.3
Release:	2
License:	BSD-like
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/M/M2Crypto/M2Crypto-%{version}.tar.gz
# Source0-md5:	573f21aaac7d5c9549798e72ffcefedd
Patch0:		%{name}-store2ssl.patch
Patch1:		%{name}-swig.patch
URL:		http://chandlerproject.org/bin/view/Projects/MeTooCrypto
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	swig-python >= 2.0
BuildRequires:	unzip
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
M2Crypto makes accessible to the Python programmer the following:
- DH, RSA, DSA, symmetric ciphers, message digests, HMACs.
- SSL functionality to implement clients and servers.
- S/MIME v2.

M2Crypto is released under a very liberal BSD-like licence. See
LICENCE for details.

%description -l pl.UTF-8
M2Crypto udostępnia z poziomu Pythona następujące funkcje:
- DH, RSA, DSA, szyfry symetryczne, skróty, HMAC
- SSL do implementacji klientów i serwerów
- S/MIME v2.

%prep
%setup -q -n M2Crypto-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{py_sitedir}/M2Crypto
%attr(755,root,root) %{py_sitedir}/M2Crypto/*.so
%{py_sitedir}/M2Crypto/*.py[co]
%dir %{py_sitedir}/M2Crypto/SSL
%{py_sitedir}/M2Crypto/SSL/*.py[co]
%{py_sitedir}/M2Crypto-*.egg-info
%changelog
* Sun Mar 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-M2Crypto.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> cabacf0
- x32 rebuild
- release 2 (by relup.sh)

* Sun Feb 09 2014 Jakub Bogusz <qboosh@pld-linux.org> c8750ee
- updated to 0.22.3
- removed obsolete swig_sources patch

* Wed Nov 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 596e80b
- updated to 0.21.1
- removed obsolete openssl patch

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 044a2e6
- release 4

* Thu May 13 2010 sparky <sparky@pld-linux.org> 44aff57
- BR: python-modules, rpm-pythonprov

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e33a60
- rel 3; fix openssl 1.0.0 build

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9af9f6a
- release 2

* Thu Mar 11 2010 Artur Frysiak <artur@frysiak.net> 2bac54a
- 0.20.2

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> cbbf160
- release 2

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2bb001c
- up to 0.19.1

* Mon Oct 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e03c4ab
- up to 0.19

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f42d05
- release 2

* Mon Jun 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 88d597f
- outdated

* Sun Jun 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> cc56e89
- up to 0.18.2

* Sun Nov 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 2edc463
- added swig patch (fixes build with current swig)

* Sun Nov 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 266c616
- fixes build with current python

* Wed Oct 10 2007 beorn <beorn@pld-linux.org> 4988ab3
- Up to 0.18.1
- Demo files moved to examplesdir
- Group: fixed
- Switched to py_postclean macro

* Wed Oct 10 2007 beorn <beorn@pld-linux.org> 3adee11
- Build patch for version 0.18.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f3256f0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 12a04f9
- converted to UTF-8

